# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "rgpui-platform"
version = "0.3.0"
build = false
publish = true
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "平台选择入口"
readme = "README.md"
license = "Apache-2.0"
repository = "https://github.com/launcher-rs/rgpui"

[features]
default = []
font-kit = ["rgpui-macos/font-kit"]
runtime_shaders = ["rgpui-macos/runtime_shaders"]
screen-capture = [
    "rgpui/screen-capture",
    "rgpui-macos/screen-capture",
    "rgpui-windows/screen-capture",
    "rgpui-linux/screen-capture",
]
test-support = [
    "rgpui/test-support",
    "rgpui-macos/test-support",
]
wayland = ["rgpui-linux/wayland"]
x11 = ["rgpui-linux/x11"]

[lib]
name = "rgpui_platform"
path = "src/rgpui_platform.rs"

[dependencies.rgpui]
version = "0.3.0"
default-features = false

[target.'cfg(any(target_os = "linux", target_os = "freebsd"))'.dependencies.rgpui-linux]
version = "0.3.0"
default-features = false

[target.'cfg(target_family = "wasm")'.dependencies.console_error_panic_hook]
version = "0.1.7"

[target.'cfg(target_family = "wasm")'.dependencies.rgpui-web]
version = "0.3.0"

[target.'cfg(target_os = "macos")'.dependencies.rgpui-macos]
version = "0.3.0"
default-features = false

[target.'cfg(target_os = "windows")'.dependencies.rgpui]
version = "0.3.0"
features = ["windows-manifest"]
default-features = false

[target.'cfg(target_os = "windows")'.dependencies.rgpui-windows]
version = "0.3.0"
default-features = false

[lints.clippy]
dbg_macro = "deny"
declare_interior_mutable_const = "deny"
disallowed_methods = "deny"
large_enum_variant = "allow"
let_underscore_future = "allow"
nonminimal_bool = "allow"
redundant_clone = "deny"
single_range_in_vec_init = "allow"
todo = "deny"
too_many_arguments = "allow"
type_complexity = "allow"

[lints.clippy.style]
level = "allow"
priority = -1

[lints.rust.unexpected_cfgs]
level = "allow"
priority = 0
